Package skyview.process.expfinder

# Class FitsKeyword

java.lang.Object
skyview.process.expfinder.FitsKeyword

All Implemented Interfaces:
  `ExposureFinder`

public class FitsKeyword extends Object implements ExposureFinder
Find the exposure in the FITS file.

## Constructor Summary

Constructors
Constructor
Description
`FitsKeyword()`

## Method Summary

Modifier and Type
Method
Description
`double`
`getExposure(int pixel)`
Get the exposure for a given pixel.
`void`
`setImage(Image input, Image output, Sampler samp)`
Specify the input image for which we are going to get the exposure.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FitsKeyword

public FitsKeyword()

## Method Details

### setImage

public void setImage(Image input, Image output, Sampler samp)
Description copied from interface: `ExposureFinder`
Specify the input image for which we are going to get the exposure.

Specified by:
  `setImage` in interface `ExposureFinder`

### getExposure

public double getExposure(int pixel)
Description copied from interface: `ExposureFinder`
Get the exposure for a given pixel. For 3-d images the exposure is assumed to be constant in the energy dimension. This is probably not true, but we don't anticipate adding 3-d images much.

Specified by:
  `getExposure` in interface `ExposureFinder`